Show / Hide Table of Contents

# Struct MJIWorkshops

A struct representing a list of workshops present in the Island Sanctuary.

The struct provides a helper method to retrieve information about a single workshop (referenced by ID), but will otherwise allow querying a specific field by ID directly.

##### Inherited Members

System.ValueType.Equals(System.Object)
System.ValueType.GetHashCode()
System.ValueType.ToString()
System.Object.Equals(System.Object, System.Object)
System.Object.GetType()
System.Object.ReferenceEquals(System.Object, System.Object)

###### Namespace: FFXIVClientStructs.FFXIV.Client.Game

###### Assembly: FFXIVClientStructs.dll

##### Syntax

    public struct MJIWorkshops

### Fields

| Improve this Doc View Source

#### BuildingLevel

The true level of a particular building. Like GlamourLevel, also refers to a specific sub-row of MJIBuilding.

##### Declaration

    public byte *BuildingLevel

##### Field Value

Type | Description
--- | ---
System.Byte* |

##### Remarks

This level is one less than the building's level; Workshop III will report as 2.

| Improve this Doc View Source

#### GlamourLevel

The glamour level of a particular building. This value refers to a specific sub-row of MJIBuilding.

##### Declaration

    public byte *GlamourLevel

##### Field Value

Type | Description
--- | ---
System.Byte* |

##### Remarks

This level is one less than the building's level; Workshop III will report as 2.

| Improve this Doc View Source

#### HoursToCompletion

Hours remaining in the construction/upgrade of a building.

If the building is done or is not under construction, this value will be zero.

##### Declaration

    public byte *HoursToCompletion

##### Field Value

Type | Description
--- | ---
System.Byte* |

| Improve this Doc View Source

#### PlaceId

The MJIBuildingPlace in which this particular building resides.

If this building is not built, this value will be zero.

##### Declaration

    public byte *PlaceId

##### Field Value

Type | Description
--- | ---
System.Byte* |

| Improve this Doc View Source

#### UnderConstruction

Report if a specific building is currently under construction.

May report 1 while HoursToCompletion is 0 if the building needs to be "finalized" through user interaction.

##### Declaration

    public byte *UnderConstruction

##### Field Value

Type | Description
--- | ---
System.Byte* |

##### Remarks

So far the only observed value for this field is 0 or 1, but more values may exist (?).

| Improve this Doc View Source

#### vtbl

##### Declaration

    public void *vtbl

##### Field Value

Type | Description
--- | ---
System.Void* |

### Properties

| Improve this Doc View Source

#### Item[Int32]

Helper method to return all known information about a specific building at once.

##### Declaration

    public readonly (byte PlaceId, byte GlamourLevel, byte HoursToCompletion, byte BuildingLevel, bool UnderConstruction) this[int idx] { get; }

##### Parameters

Type | Name | Description
--- | --- | ---
System.Int32 | idx | The index of the building to retrieve

##### Property Value

Type | Description
--- | ---
System.ValueTuple<System.Byte, System.Byte, System.Byte, System.Byte, System.Boolean> |